GrailsDomainClassPersistentEntity (Grails 2.3.8)
Date: 2014-04-24

Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.domain
[Java] Class GrailsDomainClassPersistentEntity

    java.lang.Object
      org.codehaus.groovy.grails.domain.GrailsDomainClassPersistentEntity

All Implemented Interfaces:
  org.grails.datastore.mapping.model.PersistentEntity

    @java.lang.SuppressWarnings("rawtypes")
    public class GrailsDomainClassPersistentEntity
    extends java.lang.Object

Bridges the GrailsDomainClass interface into the org.grails.datastore.mapping.model.PersistentEntity interface

Authors:
  Graeme Rocher

Since:
  1.0

Constructor Summary
`GrailsDomainClassPersistentEntity(GrailsDomainClass domainClass, GrailsDomainClassMappingContext mappingContext)`

Method Summary
`java.util.List` | `getAssociations()`
`java.lang.String` | `getDecapitalizedName()`
`java.lang.String` | `getDiscriminator()`
`GrailsDomainClass` | `getDomainClass()` @return The wrapped GrailsDomainClass instance
`org.grails.datastore.mapping.model.PersistentProperty` | `getIdentity()`
`java.lang.Class` | `getJavaClass()`
`org.grails.datastore.mapping.model.ClassMapping` | `getMapping()`
`org.grails.datastore.mapping.model.MappingContext` | `getMappingContext()`
`java.lang.String` | `getName()`
`org.grails.datastore.mapping.model.PersistentEntity` | `getParentEntity()`
`java.util.List` | `getPersistentProperties()`
`java.util.List` | `getPersistentPropertyNames()`
`org.grails.datastore.mapping.model.PersistentProperty` | `getPropertyByName(java.lang.String name)`
`org.grails.datastore.mapping.model.PersistentEntity` | `getRootEntity()`
`org.grails.datastore.mapping.model.PersistentProperty` | `getVersion()`
`boolean` | `hasProperty(java.lang.String name, java.lang.Class type)`
`void` | `initialize()`
`boolean` | `isExternal()`
`boolean` | `isIdentityName(java.lang.String propertyName)`
`boolean` | `isInitialized()`
`boolean` | `isInstance(java.lang.Object obj)`
`boolean` | `isOwningEntity(org.grails.datastore.mapping.model.PersistentEntity owner)`
`boolean` | `isRoot()`
`boolean` | `isVersioned()`
`java.lang.Object` | `newInstance()`
`void` | `setExternal(boolean external)`

Methods inherited from class java.lang.Object
java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Constructor Detail

### GrailsDomainClassPersistentEntity

    public GrailsDomainClassPersistentEntity(GrailsDomainClass domainClass, GrailsDomainClassMappingContext mappingContext)

Method Detail

### getAssociations

    public java.util.List getAssociations()

### getDecapitalizedName

    public java.lang.String getDecapitalizedName()

### getDiscriminator

    public java.lang.String getDiscriminator()

### getDomainClass

    public GrailsDomainClass getDomainClass()

  Returns:
    The wrapped GrailsDomainClass instance

### getIdentity

    public org.grails.datastore.mapping.model.PersistentProperty getIdentity()

### getJavaClass

    public java.lang.Class getJavaClass()

### getMapping

    public org.grails.datastore.mapping.model.ClassMapping getMapping()

### getMappingContext

    public org.grails.datastore.mapping.model.MappingContext getMappingContext()

### getName

    public java.lang.String getName()

### getParentEntity

    public org.grails.datastore.mapping.model.PersistentEntity getParentEntity()

### getPersistentProperties

    public java.util.List getPersistentProperties()

### getPersistentPropertyNames

    public java.util.List getPersistentPropertyNames()

### getPropertyByName

    public org.grails.datastore.mapping.model.PersistentProperty getPropertyByName(java.lang.String name)

### getRootEntity

    public org.grails.datastore.mapping.model.PersistentEntity getRootEntity()

### getVersion

    public org.grails.datastore.mapping.model.PersistentProperty getVersion()

### hasProperty

    public boolean hasProperty(java.lang.String name, java.lang.Class type)

### initialize

    public void initialize()

### isExternal

    public boolean isExternal()

### isIdentityName

    public boolean isIdentityName(java.lang.String propertyName)

### isInitialized

    public boolean isInitialized()

### isInstance

    public boolean isInstance(java.lang.Object obj)

### isOwningEntity

    public boolean isOwningEntity(org.grails.datastore.mapping.model.PersistentEntity owner)

### isRoot

    public boolean isRoot()

### isVersioned

    public boolean isVersioned()

### newInstance

    public java.lang.Object newInstance()

### setExternal

    public void setExternal(boolean external)

Groovy Documentation